{
    "path": "$OET_PATH/testcases/function_test/pkg_test/debugedit/debugedit",
    "machine num": 1,
    "cases": [
        {
            "name": "test_debugedit_function_install",
            "desc": "Test the installation of debugedit package"
        },
        {
            "name": "test_debugedit_debugedit_i",
            "desc": "测试 debugedit 命令的 -i 参数，重新计算构建 ID 并打印到标准输出"
        },
        {
            "name": "test_debugedit_debugedit_u",
            "desc": "测试 debugdit edit命令的 -u 参数，显示简要用法信息"
        },
        {
            "name": "test_debugedit_function_version",
            "desc": "Test debugedit version display"
        },
        {
            "name": "test_debugedit_function_usage",
            "desc": "Test debugedit usage info"
        },
        {
            "name": "test_debugedit_debugedit_s",
            "desc": "测试debugedit命令的-s参数，指定重新计算构建ID时使用的哈希种子"
        },
        {
            "name": "test_debugedit_debugedit_help",
            "desc": "测试debugedit命令的--help参数，显示帮助信息"
        },
        {
            "name": "test_debugedit_debugedit_upper_v",
            "desc": "测试debugedit命令的-V参数，显示debugedit版本信息"
        },
        {
            "name": "test_debugedit_debugedit_version",
            "desc": "测试debugedit命令的--version参数，显示debugedit版本信息"
        },
        {
            "name": "test_debugedit_debugedit_b_d_l",
            "desc": "测试debugedit命令同时使用-b、-d和-l参数，重写目录并生成文件列表"
        },
        {
            "name": "test_debugedit_sepdebugcrcfix_debug_dir_missing",
            "desc": "缺少DEBUG_DIR参数执行sepdebugcrcfix命令"
        },
        {
            "name": "test_debugedit_sepdebugcrcfix_files_invalid_path",
            "desc": "使用不存在的文件路径作为FILEs参数执行sepdebugcrcfix命令"
        },
        {
            "name": "test_debugedit_function_help",
            "desc": "Test debugedit help info"
        }
    ]
}